Subject: Re: a maze of twisty stats, most different

From: Rick Jones <[email-masked]>
Date: Thu, 28 Jun 2007 14:21:48 -0700

David Miller wrote:
> From: David Stevens <[email-masked]>
> Date: Thu, 28 Jun 2007 11:17:51 -0700
> 
> 
>>Comments?
> 
> 
> I think sysfs is a better model for MIBs, the extensibility we
> get for free since each SNMP MIB entry we want to add is simply
> a new file.
> 
> I'd be quite thrilled to apply a patch which implemented this.

OK, lets suppose this was done.  Assume we were speaking of a link-level 
stats  MIB,  would this then be something that did an ethtool-like call 
into each driver and so we are back to per-driver differences having to 
be dealt with by higher layers, or would we be having the drivers stick 
stats in multiple places?  Or are we back to wanting drivers to have a 
common set of stats they keep?

rick jones
unafraid to show his ignorance of how things work, and how :)